complexType "FxFlexibleForwardExecutionPeriod"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | startDate, expiryDate, businessCenters
</...>

Content Model Elements (3):

  businessCenters (in executionPeriodDates), expiryDate (in executionPeriodDates), | startDate (in executionPeriodDates)

All Direct / Indirect Based Elements (1):

  executionPeriodDates

Known Usage Locations

- As direct type of elements (1):
  executionPeriodDates

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxFlexibleForwardExecutionPeriod"> <xsd:sequence> <xsd:element name="startDate" type="xsd:date"/> <xsd:element name="expiryDate" type="xsd:date"/> <xsd:element name="businessCenters" type="BusinessCenters"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | required

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="required"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
businessCenters

  Type: | BusinessCenters, complex content

  Business centers for determination of execution period business days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessCenters" type="BusinessCenters"/>

expiryDate

  Type: | xsd:date, predefined, simple content

  Expiry (maturity) date of the execution period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expiryDate" type="xsd:date"/>

startDate

  Type: | xsd:date, predefined, simple content

  Start date of the execution period/window.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="startDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.